Skip to navigation

Approve a visa application quote

Beta

Approves a visa application quote in IN_REVIEW and opens the visa application case, returned as generated_case_id. An approved visa application quote cannot be approved again. Requires the visa application quote id returned from the List case visa application quotes endpoint.

Token scopes: immigration:write

Beta: this version requires the X-Beta: true request header and its contract may change before it is promoted to stable. It is scheduled to become stable on 2027-01-14.

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

visa_application_quote_idstringRequiredformat: "uuid"
The unique identifier of the visa application quote to approve.

Headers

X-BetaenumRequiredDefaults to true

Opts in to the beta version of this endpoint. Must be true.

Allowed values:

Response

Successful response with the approved visa application quote.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error